#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: applet_edit_config.cgi,v 1.4 2002/05/17 21:24:23 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  # Import our library routines.
  require 'EAS.pl';

  # Setup help links, etc.
  my $eas_width_HELP = &hlink('EAS Window Width', 'eas_width');
  my $eas_height_HELP = &hlink('EAS Window Height', 'eas_height');
  my $eas_scrollbars_HELP = &hlink('EAS Window Scrollbars?', 'eas_scrollbars');
  my $eas_menubar_HELP = &hlink('EAS Window Menubar?', 'eas_menubar');
  my $eas_refresh_HELP = &hlink('EAS Refresh Time', 'eas_refresh');
  my $eas_lines_HELP = &hlink('EAS Display Lines', 'eas_lines');
  my $eas_truncate_HELP = &hlink('EAS Truncate Length', 'eas_truncate');
  my $eas_scrollbars_VALUE = &easMakeSelect("eas_scrollbars", $config{'eas_scrollbars'}, "yes", "Yes", "no", "No");
  my $eas_menubar_VALUE = &easMakeSelect("eas_menubar", $config{'eas_menubar'}, "yes", "Yes", "no", "No");

  # Print standard header.
  &easHeader(2);

  # Display our content.
  print <<EOF;
<FORM ACTION="do_edit_config.cgi" METHOD="POST">
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="0" CELLSPACING="0">

  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      EnGarde Auditing System Configuration
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      These settings effect how the SMS window looks and feels.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_width_HELP</B></DIV></TD>
    <TD><DIV CLASS="tbody">
      <INPUT TYPE="TEXT" NAME="eas_width" SIZE="3" MAXLENGTH="3" VALUE="$config{'eas_width'}"> <FONT FACE="Arial, Helvetica, Sans-Serif">pixels</FONT>
    </DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_height_HELP</B></DIV></TD>
    <TD><DIV CLASS="tbody">
      <INPUT TYPE="TEXT" NAME="eas_height" SIZE="3" MAXLENGTH="3" VALUE="$config{'eas_height'}"> <FONT FACE="Arial, Helvetica, Sans-Serif">pixels</FONT>
    </DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_scrollbars_HELP</B></DIV></TD>
    <TD><DIV CLASS="nbody">
$eas_scrollbars_VALUE
    </DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_menubar_HELP</B></DIV></TD>
    <TD><DIV CLASS="nbody">
$eas_menubar_VALUE
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_refresh_HELP</B></DIV></TD>
    <TD><DIV CLASS="tbody">
      <INPUT TYPE="TEXT" NAME="eas_refresh" SIZE="3" MAXLENGTH="3" VALUE="$config{'eas_refresh'}"> <FONT FACE="Arial, Helvetica, Sans-Serif">seconds</FONT>
    </DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_lines_HELP</B></DIV></TD>
    <TD><DIV CLASS="tbody">
      <INPUT TYPE="TEXT" NAME="eas_lines" SIZE="3" MAXLENGTH="3" VALUE="$config{'eas_lines'}"> <FONT FACE="Arial, Helvetica, Sans-Serif">lines</FONT>
    </DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>$eas_truncate_HELP</B></DIV></TD>
    <TD><DIV CLASS="tbody">
      <INPUT TYPE="TEXT" NAME="eas_truncate" SIZE="3" MAXLENGTH="3" VALUE="$config{'eas_truncate'}"> <FONT FACE="Arial, Helvetica, Sans-Serif">chars</FONT>
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>
  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD ALIGN="RIGHT" COLSPAN="2"><DIV CLASS="nbody">
      <INPUT TYPE="SUBMIT" NAME="save" VALUE="Save Changes">
    </DIV></TD>
  </TR>
</TABLE>
</FORM>
EOF

  # Print standard footer.
  &easFooter();
