#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2002-2003 Guardian Digital, Inc., All Rights Reversed
 | $Id: eval_info.cgi,v 1.1.2.2 2003/04/22 08:05:30 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;

  # Header.
  WebTool::popup_header('IDS Management :: Information', undef);

  # Page.
  print <<EOF;
<CENTER>
<P><TABLE BORDER="0" WIDTH="500" CELLPADDING="0" CELLSPACING="0">
<TR>
  <TD ALIGN="CENTER"><IMG SRC="images/header.png" BORDER="0"></TD>
</TR>

<TR $tb>
  <TD><CENTER><DIV CLASS="ttitle">
    <B>Internet Detection and Defense System</B>
  </DIV></CENTER></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>

<TR $cb>
  <TD><DIV CLASS="nbody">
    This section is a component of the Guardian Digital Internet Defense &
    Detection System (IDDS). Internet Detection and Defense System provides
    a comprehensive system for detecting and analyzing network traffic for
    suspicious or possibly damaging activity. Sophisticated data correlation
    abilities, regularly updated intrusion signatures, combined with real-time
    event reporting provide the information necessary to defend networked
    systems on the volatile Internet.

    <BR><BR>Among the features available with Internet Defense & Detection
    System include:

    <UL>
      <LI>Graphical real-time reports provide current network security status.</LI>
      <LI>Significantly reduces false positives, expedites incident response and identification.</LI>
      <LI>Thousands of separate attack signatures and new ones constantly being released.</LI>
      <LI>Requires no additional administration expertise.</LI>
      <LI>Attack severity rating system indicates threat risk level.</LI>
      <LI>Includes renewable subscription that provides software updates, security alerts, intrusion detection rules, and more, providing troublefree maintenance.</LI>
      <LI>Web-based management provides an easy to use data and forensic analysis system.</LI>
    </UL>

    Internet Defense & Detection System integrates with server versions of
    Guardian Digital's core product, EnGarde Secure Linux.
  </DIV></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>
</TABLE>
EOF

  # Footer.
  WebTool::popup_footer();
