#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: index.cgi,v 1.4.4.2 2003/04/22 08:09:13 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  # Import all our library routines.
  require "ids-lib.pl";

  # Print the standard header.
  &header("IDS Management", 0, 0);

  # Print the HTML stuff.
  print <<EOF;
<SCRIPT LANGUAGE="JavaScript">
  window.open('eval_info.cgi', 'ids_eval_info', 'toolbar=no,menubar=no, scrollbars=yes,resize=yes,width=550,height=500');
</SCRIPT>

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      IDS Management
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      This is the management area for the network intrusion detection system
     (IDS).  Below you can configure the IDS for use on your network and, if
     it is successfully running, view some statistics and generate incident
     reports.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">

      <TR>
        <TD><DIV CLASS="nbody">
          <B><A HREF="edit_config.cgi">Edit Configuration</A></B>
          <BR>Define your networks and desired rule sets.
        </DIV></TD>
      </TR>
      <TR> <TD> &nbsp; </TD> </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          <B><A HREF="list_reports.cgi">Graphs and Reports</A></B>
          <BR>View daily/weekly reports and see graphs.
        </DIV></TD>
      </TR>
      <TR> <TD> &nbsp; </TD> </TR>


      <TR> <TD> &nbsp; </TD> </TR>

      <TR $tb> <TD> &nbsp; </TD> </TR>
      <TR> <TD> &nbsp; </TD> </TR>

      <TR>
        <TD>
          <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
EOF

  #
  # Stop/Stop/Restart IDS appropriately.
  #
  if (&idsStatus()) {
    print <<EOF;
  <TR>
    <TD WIDTH="50%" ALIGN="CENTER"><DIV CLASS="nbody"><B>
      <A HREF="ids_ctl.cgi?stop=1">[&nbsp;Stop&nbsp;IDS&nbsp;]</A>
    </B></DIV></TD>

    <TD WIDTH="50%" ALIGN="CENTER"><DIV CLASS="nbody"><B>
      <A HREF="ids_ctl.cgi?restart=1">[&nbsp;Restart&nbsp;IDS&nbsp;]</A>
    </B></DIV></TD>
  </TR>
EOF
  }
  else {
    print <<EOF;
  <TR>
    <TD WIDTH="50%" ALIGN="CENTER"><DIV CLASS="nbody"><B>
      <A HREF="ids_ctl.cgi?start=1">[&nbsp;Start&nbsp;IDS&nbsp;]</A>
    </B></DIV></TD>

    <TD WIDTH="50%"> &nbsp; </TD>
  </TR>
EOF
  }

  # More HTML
  print <<EOF;
          </TABLE>
        </TD>
      </TR>

      <TR> <TD> &nbsp; </TD> </TR>
      </TABLE>
    </TD>
  </TR>
  </TABLE>
</CENTER><P>
EOF

  # Print the standard footer.
  &ryanFooter("/Security/");
