#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2002-2003 Guardian Digital, Inc., All Rights Reversed
 | $Id: eval_info.cgi,v 1.1.2.2 2003/04/22 08:05:30 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;

  # Header.
  WebTool::popup_header('Secure VPN Suite :: Information', undef);

  # Page.
  print <<EOF;
<CENTER>
<P><TABLE BORDER="0" WIDTH="500" CELLPADDING="0" CELLSPACING="0">
<TR>
  <TD ALIGN="CENTER"><IMG SRC="images/header.png" BORDER="0"></TD>
</TR>

<TR $tb>
  <TD><CENTER><DIV CLASS="ttitle">
    <B>Secure VPN Suite</B>
  </DIV></CENTER></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>

<TR $cb>
  <TD><DIV CLASS="nbody">
    This section is a component of the Guardian Digital Secure VPN Suite.  The
    Guardian Digital Secure VPN Suite is a powerful IPsec & PPTP Virtual
    Private Network solution for business operations on the Internet.  Combined
    with a lightweight network intrusion detection system, organizations can
    protect their corporate online assets while monitoring network activity.

    <BR><BR>Connect branch offices or hundreds of remote office workers quickly
    and securely to the corporate headquarters using the latest encryption and
    authentication technologies.

    <BR><BR>Among the features available with Secure VPN Suite include:

    <UL>
      <LI>Strong (168-bit 3DES) encryption, as well as Advanced Encryption Standard (AES), Twofish and Blowfish support ensures wide compatibility with other products.</LI>
      <LI>Guardian Digital User Manager provides unique ability to download preconfigured security policy to VPN client users, easing the installation and configuration process.</LI>
      <LI>Licensing based on VPN connections, not hosts behind VPN server.</LI>
      <LI>Network Address Translation Traversal (NAT-T) ability resolves many difficulties with VPN support through NAT connections including Peer-to-Peer connections, Windows XP Remote Assistance features, and multi-player gaming.</LI>
      <LI>Sophisticated Web-based management system provides secure remote ability to quickly configure secure connections to the corporate office from anywhere.</LI>
      <LI>Connect using built-in IPsec VPN client included with Windows desktops or Guardian Digital IPsec VPN client.</LI>
      <LI>Always secure and updated.</LI>
    </UL>

    Secure VPN Suite integrates with server versions of Guardian Digital's core
    product, EnGarde Secure Linux.
  </DIV></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>
</TABLE>
EOF

  # Footer.
  WebTool::popup_footer();
