#!/usr/bin/perl


  ### Include the standard library and define local variables.
  require 'tripwire-lib.pl';

  ### Print the header and a horizonal rule.
  &header("Tripwire Maintenance :: Schedule Tripwire", "");

  open CRONTAB, "/etc/crontab";
    while (<CRONTAB>) {
      if ($_ =~ tripwire) {
        ($min, $hour, $mday, $mon, $wday) =
         ($_ =~ m/^([0-9\-\*]+)\ ([0-9\-\*]+)\ ([0-9\-\*]+)\ ([0-9\-\*]+)\ ([0-9\-\*]+)\ (.*)$/);
      }
    }
  close CRONTAB;

  my @DAYS = ('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday',
           'Saturday');

  
print <<TABLE01;
<FORM ACTION="do_schedule.cgi" METHOD="POST">
<P><CENTER><TABLE BORDER=0 WIDTH="620" CELLPADDING=0 CELLSPACING=0>
  <TR $tb>
    <TD COLSPAN=2>
      <DIV CLASS=ttitle><B>Schedule Tripwire Checking</B></DIV>
    </TD>
  </TR>

  <TR $cb>
    <TD COLSPAN=2>
      <DIV CLASS=nbody>
        Below you can define how often tripwire checks the current system
        against its database
      </DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD WIDTH="20">&nbsp;</TD>
    <TD>
    <TABLE BORDER=0 WIDTH=100% CELLPADDING=0 CELLSPACING=0>

    <TR $tb>
      <TD>
        <DIV CLASS=thead><B>Weekday</B></DIV>
      </TD>
      <TD>
        <DIV CLASS=thead><B>Time</B></DIV>
      </TD>
    </TR>

    <TR $cb>
TABLE01

  print "      <TD><DIV CLASS=nbody>\n";
  print "        <SELECT NAME=\"wday\">\n";

  print "        <OPTION ";
  ($wday eq '*') ? print "SELECTED>Every Day</OPTION>\n"
                 : print ">Every Day</OPTION>\n";

  print "        <OPTION ";
  ($wday eq "1-5") ? print "SELECTED>Monday thru Friday</OPTION>\n"
                   : print ">Monday thru Friday</OPTION>\n";
  print "        </SELECT>\n\n";
  print "      </DIV></TD>\n\n";


  print "      <TD WIDTH=90%><DIV CLASS=nbody>\n";
  print "        <SELECT NAME=\"hour\">\n";

    foreach (0...23) {
    if ($_ == $hour) {
      print "        <OPTION SELECTED>$_:00</OPTION>\n";
    }
    else { print "        <OPTION VALUE=$_>$_:00</OPTION>\n"; }
   }

  print "        </SELECT>\n\n";
  print "      </DIV></TD>\n\n";


print <<TABLE02;
    </TR>
    </TABLE>
    </TD>
  </TR>

  <TR $cb>
    <TD COLSPAN=2 ALIGN=RIGHT><DIV CLASS=nbody>
      <INPUT TYPE="SUBMIT" VALUE="Save">
    </DIV></TD>
  </TR>
</TABLE></CENTER></FORM><P>
TABLE02

  &ryanFooter("index.cgi");


