#/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: popup_lookup.cgi,v 1.1.1.1 2001/12/11 06:50:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines, get some help, and populate %in (bewm).
  require "StatusMonitor.pl";
  &ReadParse();
  use FileHandle;
  use Socket;

  my ($DNSNAME);
  $DNSNAME = gethostbyaddr(pack("C4", split /\./, $in{'queryinput'}), 2);
  $DNSNAME = "Undefined" if (! $DNSNAME);



  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <TITLE>IP Address Information</TITLE>

    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><B><DIV CLASS="ttitle"> IP Address Information </DIV></B></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below is some information on the IP address <B>$in{'queryinput'}</B>.

     <P><B>DNS Name</B>:  $DNSNAME
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="20"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"><B> IP Information </B></DIV></TD>
      </TR>
      <TR> <TD> &nbsp </TD> </TR>
      <TR>
        <TD>
<PRE>
EOF


  ###
  ###  Get some information on this IP from ARIN.
  ###
  $port   =  "80";
  $iaddr  =  gethostbyname("www.arin.net");
  $paddr  =  sockaddr_in($port, $iaddr);
  $proto  =  getprotobyname('tcp');

  socket(SOCK, PF_INET, SOCK_STREAM, $proto) or die "socket: $!";
  connect(SOCK, $paddr) or die "connect: $!";

  SOCK->autoflush(1);

  print SOCK "GET /cgi-bin/whois.pl?queryinput=$in{'queryinput'}\r\n\r\n";

  my ($IN_BLOCK); $IN_BLOCK = 0;

  while (my $line = <SOCK>)
  {
    chomp $line;

    if ($line =~ m/^<\/pre>/) { $IN_BLOCK = 2; goto END; }
      $line =~ s/\/cgi-bin\/whois\.pl/popup_lookup\.cgi/g;
      print "$line\n" if ($IN_BLOCK);
    if ($line =~ m/^<hr>/)    { $IN_BLOCK = 1; }
  }

  close SOCK;


END:

  ###  More HTML.
  print <<EOF;
</PRE>
        </TD>
      </TR>

      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF
exit;

