#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: do_systemctl.cgi,v 1.1.1.1 2001/12/11 06:50:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require "servicemon-lib.pl";
  &ReadParse();


  ###  We want to reboot the system.
  if ($in{'reboot'}) {

    ###  Bail if we don't have confirmation.
    if (! $in{'rebootconfirm'}) {
      &PrintError("Please check the confirmation box");
      exit;
    }

    ###  Do the deed.
    system "/sbin/telinit", "6";
  }

  ###  We want to shutdown the system.
  elsif ($in{'shutdown'}) {

    ###  Bail if we don't have confirmation.
    if (! $in{'shutdownconfirm'}) {
      &PrintError("Please check the confirmation box");
      exit;
    }

    ###  Do the deed.
    system "halt";
  }


  ###  The box is being rebooted/halted, so log out.
  &redirect("/session_login.cgi?logout=1");

