#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: do_toggle.cgi,v 1.1.1.1 2001/12/11 06:50:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require "servicemon-lib.pl";
  &ReadParse();

    ###  We want to start/stop a RUNNING service.
    if ($in{'f'} eq "current") {

      ###  Service is currently active, so stop it.
      if (&isServiceActive($in{'port'})) {

        ###  This is XINETD (use special handler).  Else use stock handler.
        if ($in{'init'} eq "xinetd") {
          &toggleXinetdService("ftp", "off");
        }
        else {
          &toggleRunningService($in{'init'}, "stop");
        }
      }

      ###  Service is currently stopped, so start it.
      else {

        ###  This is XINETD (use special handler).  Else use stock handler.
        if ($in{'init'} eq "xinetd") {
          &toggleXinetdService("ftp", "on");
        }
        else {
          &toggleRunningService($in{'init'}, "start");
        }
      }

    }

    ###  We want to enable/disable a BOOTABLE service.
    elsif ($in{'f'} eq "boot") {

      ###  Service is active at boot, so disable it.
      if (&isServiceActiveAtBoot($in{'init'})) {
        &toggleBootableService($in{'init'}, "--del");
      }

      ###  Service is disabled at boot, so make it active it.
      else {
        &toggleBootableService($in{'init'}, "--add");
      }
    }


  ###  Go back to the listing.
  &redirect("index.cgi");
