#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: conf_zoneoptions.cgi,v 1.2.2.1 2003/04/14 19:19:05 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library routines.
  require './bind8-lib.pl';

  ###  Define local variables.
  my ($conf, $options, $mems, $forwarders_INPUT);

  &header("General Options", "");

  $conf = &get_config();
  $options = &find("options", $conf);
  $mems = $options->{'members'};

  foreach $c (&find("check-names", $mems)) {
    $check{$c->{'values'}->[0]} = $c->{'values'}->[1];
  }

  &get_zone_defaults(\%zd);

  $forwarders_INPUT  =  &address_input($text{'forwarding_fwders'}, 'forwarders', $mems, 0);
  $listen_on_ICB     =  &interface_chooser_button("listenon", 1, 0);
  my @foo            = (mkEvalPopup('Addresses to listen on'));

  ###  Print the HTML.
  print <<EOF;
<FORM ACTION="save_zoneoptions.cgi">
<INPUT TYPE=HIDDEN NAME=refresh value='$zd{'refresh'}'>
<INPUT TYPE=HIDDEN NAME=retry value='$zd{'retry'}'>
<INPUT TYPE=HIDDEN NAME=expiry value='$zd{'expiry'}'>
<INPUT TYPE=HIDDEN NAME=minimum value='$zd{'minimum'}'>
<INPUT TYPE=HIDDEN NAME=forward VALUE=only>
<CENTER><TABLE BORDER=0 WIDTH=620 CELLPADDING=0 CELLSPACING=0>
<TR $tb>
  <TD COLSPAN=2><DIV CLASS=ttitle><B>DNS Management</B></DIV></TD>
</TR>

<TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>

<TR $cb>
  <TD WIDTH=20>&nbsp;</TD>
  <TD ALIGN=RIGHT>
    <TABLE BORDER=0 WIDTH=100% CELLPADDING=0 CELLSPACING=0>

      <TR $tb>
        <TD COLSPAN="4"><DIV CLASS=thead><B>$text{'forwarding_header'}</B></TD>
      </TR>

      <TR $cb>
        $forwarders_INPUT
      </TR>

      <TR><TD COLSPAN=4>&nbsp;</TD>

      <TR $cb>
        <TD VALIGN="TOP">
          <DIV CLASS="nbody"><B>$foo[0]</B>
        </TD>
        <TD VALIGN="TOP">
          <textarea name=listenon rows=3 cols=15 DISABLED></textarea>
          $listen_on_ICB
        </TD>
      </TR>

      <TR>
      </TR>

      <TR><TD COLSPAN=4>&nbsp;</TD>

      <TR $tb>
        <TD COLSPAN=4><DIV CLASS=thead><B>$text{'zonedef_msg2'}</B></TD>
      </TR>

EOF

  print "      <TR>\n\n";
  print &addr_match_input($text{'zonedef_transfer'}, "allow-transfer", $mems,
                          "Allow None", "none");
  print &addr_match_input($text{'zonedef_query'}, "allow-query", $mems,
                          "Allow Any", "any");
  print "      </TR>\n\n";

  print "      <TR><TD COLSPAN=4>&nbsp;</TD></TR>\n\n";

print <<EOF03;

      <TR $cb>
        <TD ALIGN=RIGHT COLSPAN=4><DIV CLASS=nbody>
          <INPUT TYPE=submit VALUE="$text{'save'}"><P></FORM>
        </TD>
      </TR>

    </TABLE>
  </TD>
</TR>
</TABLE><P>
EOF03

  &ryanFooter("index.cgi");







### ignore_warn_fail(text, name, value)
sub ignore_warn_fail {
  print "<td><DIV CLASS=nbody><b>$_[0]</b></td> <td><DIV CLASS=nbody>\n";
  printf "<input type=radio name=$_[1] value=ignore %s> $text{'ignore'}\n",
          $_[2] eq 'ignore' ? 'checked' : '';
  printf "<input type=radio name=$_[1] value=warn %s> $text{'warn'}\n",
          $_[2] eq 'warn' ? 'checked' : '';
  printf "<input type=radio name=$_[1] value=fail %s> $text{'fail'}\n",
          $_[2] eq 'fail' ? 'checked' : '';
  printf "<input type=radio name=$_[1] value='' %s> $text{'default'}</td>\n",
          !$_[2] ? 'checked' : '';
  print "</td>\n\n";
}
