#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: do_save_default_route.cgi,v 1.1.1.1 2001/12/11 06:50:40 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require "network-lib.pl";
  &ReadParse();


  ###  Verify our input.
  if (! $in{'defaultroute_iface'}) {
    &PrintError("Please select a 'Device'"); exit;
  }
  elsif (! $in{'defaultroute'}) {
    &PrintError("Please enter a 'Gateway'"); exit;
  }
  elsif (! &isIP($in{'defaultroute'})) {
    &PrintError("You entered an invalid IP address for 'Gateway'"); exit;
  }


  ###  Initialize some variables.
  my ($lref, $IN_IFACE, $OFFSET); $IN_IFACE = undef; $OFFSET = undef;


  ###  Read the file...
  $lref = &read_file_lines($INTERFACES_FILE);

    ###  Remove the "old" line.
    splice @$lref, $in{'defaultroute_lineno'}, 1;

    ###  Now find out where we should stick the new default route line.
    for (my $i = 0; $i < @$lref; $i++)
    {
      my ($line); $line = @$lref[$i];

      if ($line =~ m/^iface\ (.*)\ inet\ (.*)$/) {
        $IN_IFACE = $1  if ($in{'defaultroute_iface'} eq $1);
      }
      elsif ($IN_IFACE && ($line eq "")) {
        $IN_IFACE = undef;
        $OFFSET   = $i;
      }
    }

    ###  Splice in the "new" line.
    splice @$lref, $OFFSET, 1,
                   "   up route add default gw $in{'defaultroute'}\n";

  ###  Write the file back to disk.
  &flush_file_lines();


  ###  Go back to route configuration page.
  &redirect("list_routes.cgi");
