#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: edit_hosts.cgi,v 1.1.1.1 2001/12/11 06:50:40 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require "network-lib.pl";
  &ReadParse();

  ###  Print the usual header.
  &header("Network Configuration :: Define Static Host Addresses", 0);

  ###  Now print the pretty HTML.
  print <<EOF;
<P><CENTER>
  <FORM ACTION="do_edit_hosts.cgi" METHOD="POST">
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><B><DIV CLASS="ttitle">Network Configuration</DIV></B></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you can create, edit, or remove static host address records from
      your system.  To add a new entry, simply enter the address and hostname
      list in the bottom set of boxes.  To modify an entry simply change the
      existing boxes.  To remove an entry, remove <B>either</B> the IP address
      or the hostname list.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"> <B> Address </B> </DIV></TD>
        <TD><DIV CLASS="thead"> <B> Hostnames </B> </DIV></TD>
      </TR>

EOF

  my ($cnt); $cnt = 0;

  foreach my $h (&ListHosts()) {
    print <<EOF;
      <TR $cb>
        <TD><INPUT TYPE="TEXT" NAME="address_$cnt" VALUE="$h->{'address'}" SIZE="15" MAXLENGTH="15"></TD>
        <TD><INPUT TYPE="TEXT" NAME="hosts_$cnt" VALUE="$h->{'hosts'}" SIZE="50"></TD>
      </TR>

EOF

    $cnt++;
  }


  ###  More HTML.
  print <<EOF;
      <TR $cb>
        <TD><INPUT TYPE="TEXT" NAME="new_address" SIZE="15" MAXLENGTH="15"></TD>
        <TD><INPUT TYPE="TEXT" NAME="new_hosts" SIZE="50"></TD>
      </TR>

      <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      <TR $cb>
        <TD COLSPAN="2" ALIGN="RIGHT"><DIV CLASS="nbody">
          <INPUT TYPE="SUBMIT" VALUE="Update Hosts">
        </DIV></TD>
      </TR>
      </TABLE>
    </TD>
  </TR>
  </TABLE>
  </FORM>
</CENTER>
EOF

  ###  Print the standard footer.
  &ryanFooter("index.cgi");
