#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: network_help.cgi,v 1.1.1.1.4.1 2003/04/10 13:55:54 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "network-lib.pl";

  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,A,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><B><DIV CLASS="ttitle"> Network Configuration Help </DIV></B></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="20"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"><B> Interface Setup </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This is the section where you setup network interfaces.  To define a
          new physical interface, click the <FONT COLOR="#800000"><B>
          [&nbsp;Define&nbsp;New&nbsp;Physical&nbsp;Interface&nbsp;]</B></FONT>
          link.

          <P>A <B>Virtual Address</B> is an "alias" or a "virtual interface."
          These are commonly used for websites since you can only have one
          SSL-based virtual host per IP address.

          <P>You can only add a Virtual Address to a real, static interface.
          If you are using DHCP or PPPoE you will not be presented with the
          option to do so.

        <P>All interface/addressing changes <B>take place immediately.</B>
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Routing Configuration </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This is where you setup routing for this machine.  You can define
          static routes and, most importantly, set up your default route.  The
          "default route" is the machine to which all traffic, not matching
          another static route, will be sent.

          <P>All routing changes will <B>not take place until networking is
          resarted.</B>
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Hostname and DNS Client Configuration </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          In this section you can define your machines hostname, what domains
          it should search while trying to resolve partial addresses, and what
          nameservers it should use to perform its DNS queries on.

          <P>These changes <B>take place immediately.</B>
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Define Static Host Addresses </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          In this section you can define static host addresses.  When the
          machine tries to resolve an IP address or a hostname, it will check
          this file before it sends the query to DNS.

          <P>These changes <B>take place immediately.</B>
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>
      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF

