#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2002-2003 Guardian Digital, Inc., All Rights Reversed
 | $Id: eval_info.cgi,v 1.1.2.2 2003/04/22 08:05:30 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;

  # Header.
  WebTool::popup_header('Proxy Management :: Information', undef);

  # Page.
  print <<EOF;
<CENTER>
<P><TABLE BORDER="0" WIDTH="500" CELLPADDING="0" CELLSPACING="0">
<TR>
  <TD ALIGN="CENTER"><IMG SRC="images/header.png" BORDER="0"></TD>
</TR>

<TR $tb>
  <TD><CENTER><DIV CLASS="ttitle">
    <B>Internet Acceleration & Management Server</B>
  </DIV></CENTER></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>

<TR $cb>
  <TD><DIV CLASS="nbody">
    This section is a component of the Guardian Digital Internet Acceleration
    & Management Server. Designed to provide extensible enterprise proxy
    caching, bandwidth and user access control, Virtual Private Networking,
    virus scanning, and system reporting, Internet Acceleration & Management
    Server is a secure and affordable solution to dramatically increase the
    speed and power of operating on the Internet.

    <BR><BR>Among the features available with Internet Acceleration & Management
    Server include:

    <UL>
      <LI>High-Performance Web Cache stores frequently used Web objects locally to conserve available bandwidth and boosts network performance.</LI>
      <LI>Authenticate users using NT Domain Controller, LDAP server, or local database provides easy integration with existing environments.</LI>
      <LI>Simplify management using secure Web panel to control users and assign access levels to each.</LI>
      <LI>Extensive reporting and usage statistics including individual user activities, system resources, and more.</LI>
      <LI>Enhance security and productivity by providing a control point for Internet traffic by logging all transactions. Gateway firewall provides protection from external threats to internal network.</LI>
      <LI>Securely access the corporate network using integrated VPN support using PPTP.</LI>
      <LI>Enterprise version includes Distributed and Hierarchical Caching to provide provide redundant routes, connect branch offices, or to cluster high-performance environments.</LI>
      <LI>Publish internal resources located behind the IAM Server to the Internet securely.</LI>
      <LI>Scan for viruses as data passes through the proxy, protecting desktop users.</LI>
    </UL>

    Internet Accleration & Management Server integrates with server versions
    of Guardian Digital's core product, EnGarde Secure Linux.
  </DIV></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>
</TABLE>
EOF

  # Footer.
  WebTool::popup_footer();
