#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2000-2002, Guardian Digital Inc.
 | $Id: index.cgi,v 1.1.2.2 2003/04/18 18:39:56 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;
  sub foo($$);

  my @foo = (
    foo('General Configuration',           'IAMServer_genconfig.jpg'),
    foo('Schedule Virus Updates',          'IAMServer_virusupdate.jpg'),
    foo('SOCKS Configuration',             'IAMServer_SocksConfig.jpg'),
    foo('Proxy Authentication',            'IAMServer_auth.jpg'),
    foo('Proxy Privacy Settings',          'IAMServer_privacy.jpg'),
    foo('Standard ACL Management',          0),
    foo('Restricted ACL Management',        0),
    foo('Virus Scanner Configuration',      0),
    foo('Cache Peering',                    0),
    foo('Autoconfiguration',               'IAMServer_autoconf.jpg'),
    foo('Reports',                          0),
    foo('Graphs',                           0),
    foo('[&nbsp;Restart&nbsp;Proxy&nbsp;]', 0),
    foo('[&nbsp;Stop&nbsp;Proxy&nbsp;]',    0),
  );

  my @bar = (
    'Setup basic proxy configuration parameters.',
    'Define how often virus updates should take place.',
    'Enable, disable, and configure the SOCKS subsystem.',
    'Enable or disable different methods of proxy authentication.',
    'Enable or disable certain levels of concealment.',
    foo('Create, edit, and delete standard ACLs.', 0),
    foo('Create, edit, and delete restricted users and ACLs.', 0),
    foo('Set up patterns you would like to have scanned for viruses.', 0),
    foo('Configure \'peer\' caches this cache can query for requested pages.', 0),
    'Configure a script browsers may download to configure their proxy settings.',
    foo('View daily and weekly user usage statistics.', 0),
    foo('View graphs representing cache performance. ', 0),
  );

  # Print our standard header.
  WebTool::Header('Proxy Management', '/SystemManager');

  # Print some HTML.
  print <<EOF;
<SCRIPT LANGUAGE="JavaScript">
  window.open('eval_info.cgi', 'proxy_eval_info', 'toolbar=no,menubar=no, scrollbars=yes,resize=yes,width=550,height=500');
</SCRIPT>

<P><CENTER><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Proxy Management</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you can configure various aspects of the proxy server.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="10">&nbsp;</TD>

    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[0]</B>
            <BR>$bar[0]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[1]</B>
            <BR>$bar[1]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[2]</B>
            <BR>$bar[2]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[3]</B>
            <BR>$bar[3]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[4]</B>
            <BR>$bar[4]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[5]</B>
            <BR>$bar[5]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[6]</B>
            <BR>$bar[6]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[7]</B>
            <BR>$bar[7]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[8]</B>
            <BR>$bar[8]
          </DIV></TD>
        </TR>

        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[9]</B>
            <BR>$bar[9]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[10]</B>
            <BR>$bar[10]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

        <TR>
          <TD><DIV CLASS="nbody">
            <B>$foo[11]</B>
            <BR>$bar[11]
          </DIV></TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>

      <TR $tb> <TD><DIV CLASS="thead">
        <B> Proxy Configuration Status </B>
      </DIV></TD> </TR>

      <TR>
        <TD>
          <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
          <TR>
            <TD><DIV CLASS="nbody">
              <FONT COLOR="RED">Your Proxy Configuration is <B>not</B> up to
              date with the running copy</FONT>.  Please use the
              <B>$foo[12]</B>
              link below to commit your changes.
            </DIV></TD>
          </TR>
          </TABLE>
        </TD>
      </TR>

      <TR> <TD> &nbsp; </TD> </TR>
      <TR $tb> <TD> &nbsp; </TD> </TR>
      <TR> <TD> &nbsp; </TD> </TR>

      <TR>
        <TD>
          <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
          <TR>
            <TD WIDTH="50%" ALIGN="CENTER"><DIV CLASS="nbody"><B>
              $foo[13]
            </B></DIV></TD>
        
            <TD WIDTH="50%" ALIGN="CENTER"><DIV CLASS="nbody"><B>
              $foo[12]
            </B></DIV></TD>
          </TR>
          </TABLE>
        </TD>
      </TR>

        <TR><TD>&nbsp;</TD></TR>
      </TABLE>
    </TD>
  </TR>
</TABLE></CENTER><P>
EOF

  # Print our standard footer.
  WebTool::Footer();

################################################################################
sub foo($$) {
  my $msg          = shift;
  my $img          = shift;
  my $width        = 820;
  my $height       = 700;
  my ($eval_color) = ($tb =~ m/^BGCOLOR\=\"([^\"]+)\"$/);
  my $rv           = '';

  if ($img) {
    $rv  = "<A onClick=\"window.open('show_screenshot.cgi?file=$img', 'foo', "
         . "'toolbar=no,menubar=no,scrollbars=yes,resize=yes,width=$width,"
         . "height=$height');\" HREF=\"#\">";
  }

  $rv .= "<FONT COLOR=\"$eval_color\">$msg</FONT>";

  if ($img) { $rv .= "</A>"; }

  return $rv;
}
