#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: edit_user.cgi,v 1.9.4.1 2003/04/15 18:29:57 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ### Import our library subroutines and populate %in.
  require './user-lib.pl';
  require 'timelocal.pl';
  &ReadParse();


  ###
  ### (XXX) Define local variables.
  ###
  my ($n, $user_HELP, $real_HELP, $gd_access_HELP, $pass_HELP, $pass2_HELP);
  my ($windows_HELP, $group_HELP, $group2_HELP);
  my ($NEXT_UID, $HIDDEN, $P_GROUP_STR, $SUBMIT_STR, $C_PASS);
  my ($DITTY, $TITLE);

  ###
  ### Setup local variables.
  ###
  $n = $in{'num'};
  $user_HELP      = &hlink('Username', 'user');
  $real_HELP      = &hlink('Real Name', 'real');
  $gd_access_HELP = &hlink('Access', 'gd_access');
  $pass_HELP      = &hlink('Password', 'pass');
  $pass2_HELP     = &hlink('Verify Password', 'pass');
  $windows_HELP   = &hlink('Windows Password', 'windows');
  $group_HELP     = &hlink('Primary Group', 'group');
  $group2_HELP    = &hlink('Secondary Groups', 'group');

  ### (XXX) Find the first free UID above the base.
  $NEXT_UID = int($config{'base_uid'} > $access{'lowuid'} ?
                $config{'base_uid'} : $access{'lowuid'});
  setpwent(); while(@tmp = getpwent()) { $used{$tmp[2]}++; } endpwent();
  while($used{$NEXT_UID}) { $NEXT_UID++; }	### Then increment.

  ###
  ### We are CREATING a new user.
  ###
  if ($n eq "") {
    $DITTY = "Below you can create a new user.";
    $TITLE = "Create User";

    &header($text{'uedit_title2'}, "", "create_user");
    $HIDDEN = "";

    $UID_STR = "<INPUT TYPE=\"HIDDEN\" NAME=\"uid\" VALUE=\"$NEXT_UID\">";

    $P_GROUP_STR  = "<INPUT TYPE=\"RADIO\" NAME=\"gidmode\" VALUE=\"1\" ";
    $P_GROUP_STR .= "CHECKED" if ($config{'new_user_group'});
    $P_GROUP_STR .= ">&nbsp;New&nbsp;Group&nbsp;";
    $P_GROUP_STR .= "<INPUT TYPE=\"TEXT\" NAME=\"newgid\" SIZE=\"8\">\n";
    $P_GROUP_STR .= "<BR><INPUT TYPE=\"RADIO\" NAME=\"gidmode\" VALUE=\"0\" ";
    $P_GROUP_STR .= "CHECKED" if (! $config{'new_user_group'});
    $P_GROUP_STR .= ">&nbsp;Existing&nbsp;Group";

    $SUBMIT_STR =<<EOF;
          <TD ALIGN="RIGHT" COLSPAN="4"><DIV CLASS="nbody">
            <INPUT TYPE="SUBMIT" VALUE="Create">
          </DIV></TD>
EOF
  }

  ###
  ### We are EDITING an existing user.
  ###
  else {
    $DITTY = "Below you can edit or delete this user.";
    $TITLE = "Edit User";
    &header($text{'uedit_title'}, "", "edit_user");
    @ulist   = &list_users();
    %uinfo   = %{$ulist[$n]};
    $HIDDEN  = "<INPUT TYPE=\"HIDDEN\" NAME=\"num\" VALUE=\"$n\">";
    $UID_STR = "<INPUT TYPE=\"HIDDEN\" NAME=\"uid\" VALUE=\"$uinfo{'uid'}\">";


    ### (AUD) It really sucks we can't order this like the rest...
    $SUBMIT_STR =<<EOF;
          <TD ALIGN="LEFT" COLSPAN="2"><DIV CLASS="nbody">
            <INPUT TYPE="SUBMIT" VALUE="Update">
          </DIV></TD>
          <TD ALIGN="RIGHT" COLSPAN="2"><DIV CLASS="nbody">
            </FORM>
            <FORM ACTION="delete_user.cgi" METHOD="POST">
            <INPUT TYPE="HIDDEN" NAME="num" VALUE="$n">
            <INPUT TYPE="HIDDEN" NAME="user" VALUE="$uinfo{'user'}">
            <INPUT TYPE="SUBMIT" VALUE="Delete">
            </FORM>
          </DIV></TD>
EOF
  }


  $P_GROUP_STR .= "&nbsp;<INPUT TYPE=\"TEXT\" NAME=\"gid\" SIZE=\"8\" VALUE=\"";
  $P_GROUP_STR .= getgrgid($uinfo{'gid'}) if ($n);
  $P_GROUP_STR .= "\">&nbsp;";
  $P_GROUP_STR .= &group_chooser_button('gid', 0);


  $GDA_STR  = "<INPUT TYPE=\"CHECKBOX\" NAME=\"gd_access\" VALUE=\"2\" ";
  $GDA_STR .= "CHECKED" if ($uinfo{'shell'} eq '/bin/false');
  $GDA_STR .= ">&nbsp;&nbsp;E-Mail Only";


  ### The users current password.
  $C_PASS   = %uinfo ? $uinfo{'pass'} : $config{'lock_string'};


  print <<EOF;
<FORM ACTION="save_user.cgi" METHOD="POST">
<INPUT TYPE="HIDDEN" NAME="makehome" VALUE="1">
<INPUT TYPE="HIDDEN" NAME="copy_files" VALUE="1">
$HIDDEN

<P><CENTER><TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS=ttitle><B>
      Local User Management :: $TITLE
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      $DITTY
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">

        <TR $tb>
          <TD COLSPAN="4"><DIV CLASS="thead"><B>User Details</B></DIV></TD>
        </TR>

        <TR>
          <TD><DIV CLASS="nbody"><B>$user_HELP</B></DIV></TD>
          <TD>
            <INPUT TYPE="TEXT" NAME="user" SIZE="10" VALUE="$uinfo{'user'}" MAXLENGTH="16">
            $UID_STR
          </TD>
          <TD><DIV CLASS="nbody"><B>$real_HELP</B></DIV></TD>
          <TD><INPUT TYPE="TEXT" NAME="real" SIZE="20" VALUE="$uinfo{'real'}"></TD>
        </TR>

        <TR>
          <TD><DIV CLASS="nbody"><B>$pass_HELP</B></DIV></TD>
          <TD>
            <INPUT TYPE="HIDDEN" NAME="curpass" VALUE="$C_PASS">
            <INPUT TYPE="HIDDEN" NAME="passmode" VALUE="3">
            <INPUT TYPE="PASSWORD" NAME="pass" SIZE="15"">
          </TD>
          <TD><DIV CLASS="nbody"><B>$pass2_HELP</B></DIV></TD>
          <TD> <INPUT TYPE="PASSWORD" NAME="pass2" SIZE="15""> </TD>
        </TR>


        <!-- ########## BEGIN "Access Control" Section ########## -->
        <TR> <TD COLSPAN="4"> &nbsp; </TD>
        <TR $tb>
          <TD COLSPAN="4"> <DIV CLASS="thead"><B>Access Control</B> </TD>
        </TR>

        <TR>
          <TD><DIV CLASS="nbody"><B>$gd_access_HELP</B></DIV></TD>
          <TD>$GDA_STR</TD>
          <TD COLSPAN="2"> &nbsp; </TD>
        </TR>

        <TR> <TD COLSPAN="4"> &nbsp; </TD>

        <!-- ########## BEGIN "Group Membership" Section ########## -->
        <TR> <TD COLSPAN="4"> &nbsp; </TD>
        <TR $tb>
          <TD COLSPAN="4"> <DIV CLASS="thead"><B>Group Membership</B> </TD>
        </TR>

        <TR VALIGN="TOP">
          <TD><DIV CLASS="nbody"><B>$group_HELP</B></DIV></TD>
          <TD> $P_GROUP_STR </TD>
          <TD><DIV CLASS="nbody"><B>$group2_HELP</B></DIV></TD>
          <TD><DIV CLASS="nbody">
            <SELECT NAME="sgid" MULTIPLE SIZE="7">
EOF


  ### Iterate over each group, printing an <OPTION> as we go.
  foreach $g (&list_groups()) {
    @mems = split(/,/ , $g->{'members'});
    local $ismem = &indexof($uinfo{'user'}, @mems) >= 0;

    if ($g->{'gid'} >= 100) {
        printf "<option value=\"$g->{'gid'}\" %s>$g->{'group'} ($g->{'gid'})\n",
               $ismem ? "selected" : "";
    }
  }


print <<EOF;
            </SELECT>
          </DIV></TD>
        </TR>

        <TR> <TD COLSPAN="4"> &nbsp; </TD></TR>
        <TR> <TD COLSPAN="4"> &nbsp; </TD></TR>

        <TR>
$SUBMIT_STR
        </TR>
      </TABLE>
    </TD>
  </TR>
</TABLE>
<P>&nbsp;
EOF


  ### Print our standard footer.
  &ryanFooter("/SystemManager");
