#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: index.cgi,v 1.2 2002/04/25 01:25:01 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "vsftpd-lib.pl";

  ###  Print the usual header.
  &header("FTP Server Configuration", 0, 0);

  ###  Now print the pretty HTML.
  print <<EOF;
<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      FTP Server Configuration
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you can configure your FTP server.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR>
        <TD><DIV CLASS="nbody"><B>
          <A HREF="tunables.cgi">Global Configuration</A>
        </B></DIV></TD>
        <TD><DIV CLASS="nbody">
          Configure general settings that effect all connections.
        </DIV></TD>
      </TR>

      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      <TR>
        <TD><DIV CLASS="nbody"><B>
          <A HREF="chroot.cgi">Define Chroot and Blacklist</A>
        </B></DIV></TD>
        <TD><DIV CLASS="nbody">
          Define what users to chroot and what users to block.
        </DIV></TD>
      </TR>

      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>
      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      <TR>
        <TD><DIV CLASS="nbody"><B>
          <A onClick='window.open("vsftpd_help.cgi", "help", "toolbar=no,menubar=no,scrollbars=yes,width=400,height=350,resizable=yes"); return false' HREF="vsftpd_help.cgi">[ FTP Server Configuration Help ]</A>
        </B></DIV></TD>
        <TD><DIV CLASS="nbody">
          View the help page for this module.
        </DIV></TD>
      </TR>

      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>&nbsp;
EOF

  ###  Print the usual footer.
  &ryanFooter("/SystemManager/");
