#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: vsftpd_help.cgi,v 1.2 2002/04/25 01:25:01 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "vsftpd-lib.pl";

  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,A,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      FTP Server Configuration Help
    </B></DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="20"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"><B> Global Configuration</B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          The <B>Global Configuration</B> page allows you to modify system-wide
          settings.  Any changes made take effect immediately.  Each option has
          it's own help link and you are encouraged to read those if you have
          a question on what a particular setting does.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Define Chroot and Blacklist</B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          The <B>Define Chroot and Blacklist</B> page allows you to define what
          users should be chrooted to their home directories and what users are
          not allowed to FTP into the machine.

          <P>A user in the <B>Chroot List</B> will be restricted to their home
          directory when they FTP into the machine.  This can be set globally
          in the <B>Global Configuration</B>.  If the global options is
          enabled then this has no effect as all users will be chrooted.

          <P>A user in the <B>Blacklist</B> is not allowed to FTP into the
          machine at all.  This only has an effect if you have <B>Allow Local
          Logins</B> enabled in the <B>Global Configuration</B>.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>
      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF

