#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: interface_chooser.cgi,v 1.2 2002/02/27 07:49:11 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  require './web-lib.pl';
  &init_config();
  &ReadParse();

  ### Selecting multiple interface.
  if ($in{'multi'})
  {

    ###  Base frame.
    if ($in{'frame'} == 0)
    {
      &PrintHeader();

      @il = split(/\s+/, $in{'interface'});
      $len = @il;

       print <<EOF;
  <SCRIPT LANGUAGE="JavaScript">
    sel = new Array($len);
    selr = new Array($len);
EOF

       ###  Print the ones we have "selected" (right box).
       for($i=0; $i<$len; $i++) {
         foreach my $if (ListInterfaces()) {
           if ($if->{'address'} eq $il[$i]) {
             print "sel[$i] = \"$il[$i]\";\n";
             print "selr[$i] = \"$if->{'iface'}\";\n";
             next;
           }
         }
       }

       print <<EOF;
  </SCRIPT>
  <TITLE>Select Interfaces...</TITLE>

  <FRAMESET COLS="50%,50%">
    <FRAME SRC="/interface_chooser.cgi?frame=1&multi=1">
    <FRAMESET ROWS='*,50' FRAMEBORDER="NO">
      <FRAME SRC="/interface_chooser.cgi?frame=2&multi=1">
      <FRAME SRC="/interface_chooser.cgi?frame=3&multi=1" SCROLLING="NO">
    </FRAMESET>
  </FRAMESET>
EOF
    }

    ###
    ###  FRAME 1:  Display currently available interfaces.
    ###
    elsif ($in{'frame'} == 1)
    {
      &header();

      print <<EOF;
  <SCRIPT LANGUAGE="JavaScript">
    function addiface(u, r)
    {
      top.sel[top.sel.length] = u
      top.selr[top.selr.length] = r
      top.frames[1].location = top.frames[1].location
      return false;
    }
  </SCRIPT>

  <FONT FACE=Arial,Helvetica,Sans-Serif><H3>Available Interfaces</H3></FONT>
  <TABLE WIDTH="100%">
EOF

      ###  Display each address/interface pair.
      foreach my $i (&ListInterfaces())
      {
        print <<EOF
  <TR>
    <TD WIDTH="20%">
      <FONT FACE="Arial,Helvetica,Sans-Serif" SIZE="2">
      <A HREF="" onClick='return addiface("$i->{'address'}\", \"$i->{'iface'}\")'>$i->{'address'}</A>
    </TD>
    <TD>
      <FONT FACE=Arial,Helvetica,Sans-Serif SIZE=2>($i->{'iface'})</FONT>
    </TD>
  </TR>
EOF
      }

  print "\n    <TR> <TD COLSPAN=\"2\"> &nbsp; </TD> </TR>\n\n";
 
 
  print <<EOF;
   <TR> 
      <TD COLSPAN="2">
        <FONT FACE="Arial,Helvetica,Sans-Serif" SIZE="2">
          <A HREF="" onClick='top.ifield.value = ""; top.close()'>All Interfaces</A>
      </TD>
    </TR>
    
    </TABLE>
    </FONT>
  </BODY>
</HTML>
EOF


    }

    ###
    ###  FRAME 2:  Display currently selected interface(s).
    ###
    elsif ($in{'frame'} == 2)
    {
      &header();
      print <<'EOF';
<FONT FACE=Arial,Helvetica,Sans-Serif><H3>Selected Interfaces</H3></FONT>
<table width=100%>
<script>
function sub(j) {
sel2 = new Array(); selr2 = new Array();

  for(k=0,l=0; k<top.sel.length; k++) {
    if (k != j) {
      sel2[l] = top.sel[k];
      selr2[l] = top.selr[k];
      l++;
    }
  }

  top.sel = sel2; top.selr = selr2;
  location = location;
  return false;
}

for(i=0; i<top.sel.length; i++) {
  document.write("<tr>\n");
  document.write("  <td><FONT FACE=Arial,Helvetica,Sans-Serif SIZE=2>");
  document.write("<a href=\"\" onClick='return sub("+i+")'>"+top.sel[i]+"</a></td>\n");
  document.write("  <td><FONT FACE=Arial,Helvetica,Sans-Serif SIZE=2>"+top.selr[i]+"</td>\n");
  document.write("</TR>\n");
}
</script>
</table>
EOF
    }

    ###
    ###  FRAME 3:  Display "Ok", "Cancel", and "Clear" buttons.
    ###
    elsif ($in{'frame'} == 3)
    {
      &header();

      print <<EOF;
  <FORM>
    <FONT FACE=Arial,Helvetica,Sans-Serif SIZE=2>
    <INPUT TYPE="BUTTON" VALUE="$text{'users_ok'}" onClick='top.ifield.value = top.sel.join(" "); top.close()'>
    <INPUT TYPE="BUTTON" VALUE="$text{'users_cancel'}" onClick='top.close()'>
    &nbsp;&nbsp;
    <INPUT TYPE="BUTTON" VALUE="$text{'users_clear'}" onClick='top.sel = new Array(); top.selr = new Array(); top.frames[1].location = top.frames[1].location'>
  </FORM>
EOF
    }
  }

  ###  Select a single interface.
  else
  {
    &PrintHeader();

    print <<EOF;
<HTML>
  <HEAD>
    <SCRIPT LANGUAGE="JavaScript">
      function select(f) 
      {
        ifield.value = f;
        top.close();
        return false;
      }
    </SCRIPT>

    <TITLE>Select Interface...</TITLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF">
    <FONT FACE=Arial,Helvetica,Sans-Serif><H3>Available Interfaces</H3></FONT>
    <TABLE WIDTH="100%">
EOF


      ###  Display each address/interface pair.
      foreach my $i (&ListInterfaces())
      {
        if ($i->{'address'} eq $in{'interface'}) { print "    <TR $cb>\n"; }
        else                                     { print "    <TR>\n"; }

        print <<EOF
      <TD WIDTH="20%">
        <FONT FACE="Arial,Helvetica,Sans-Serif" SIZE="2">
        <A HREF="" onClick='return select("$i->{'address'}\", \"$i->{'iface'}\")'>$i->{'address'}</A>
      </TD>
      <TD>
        <FONT FACE=Arial,Helvetica,Sans-Serif SIZE=2>($i->{'iface'})</FONT>
      </TD>
    </TR>
EOF
      }

  print "\n    <TR> <TD COLSPAN=\"2\"> &nbsp; </TD> </TR>\n\n";


  ###  Finally, offer up our "all interfaces" link.
  if (! $in{'interface'}) {  print "    <TR $cb>\n"; }
  else                    {  print "    <TR>\n"; }

  print <<EOF;

      <TD COLSPAN="2">
        <FONT FACE="Arial,Helvetica,Sans-Serif" SIZE="2">
        <A HREF="" onClick='return select("")'>All Interfaces</A>
      </TD>
    </TR>
  
    </TABLE>
    </FONT>
  </BODY>
</HTML>
EOF
  }


### ##########################################################################
sub ListInterfaces()
{
  my (@addresses, $IN_IFACE, $tmp_iface);

  $IN_IFACE   =  0;
  $tmp_iface  =  "";

  open IFCONFIG, "/sbin/ifconfig -a |";
    while (<IFCONFIG>)
    {
      chomp $_;

      if ($_ =~ m/^([a-z0-9]+)\s+/) { $IN_IFACE  =  1; $tmp_iface = $1; }
      elsif ($_ eq "")              { $IN_IFACE  =  0; $tmp_iface = ""; }

      if (($_ =~ m/^\s+inet\ addr\:([0-9\.]+)/) && $IN_IFACE) {
        push @addresses, { 'iface' => $tmp_iface, 'address' => $1 };
      }
    }
    close IFCONFIG;

  return @addresses;
}

