#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: applet_reports.cgi,v 1.4 2002/05/15 18:01:04 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  # Import our library routines and populate %in.
  require 'EAS.pl';
  &ReadParse();

  # Print standard header.
  &easHeader(2);

  # |<-14|\/|3
  @MONTHS = ('', 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug',
             'Sep', 'Oct', 'Nov', 'Dec'); 

  # Display our content.
  print <<EOF;
<FORM NAME="applet" ACTION="applet_reports.cgi">
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      System Reports
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Please select a report date to view.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>Report Date</B>:&nbsp;
      <SELECT NAME="report" SIZE="1">
        <OPTION VALUE="">-- Please Select --</OPTION>
EOF

  #
  # Build a SELECT of all our reports.
  #
  opendir REPORTS, "/var/log/reports";
    foreach my $f (grep {-f "/var/log/reports/$_"} readdir(REPORTS)) {
      my @TMP = split /[\-\.]/, $f;

      print "        <OPTION VALUE=\"$f\" ";
      print 'SELECTED' if ($f eq $in{'report'});
      print ">$MONTHS[$TMP[2]] $TMP[3], $TMP[1]</OPTION>\n";
    }
  closedir REPORTS;

  # More HTML.
  print <<EOF;
      </SELECT>
      <INPUT TYPE="SUBMIT" VALUE="View">
    </TD>
EOF

  # Show the nice "[ New Window ]" link if we're viewing a report.
  if ($in{'report'}) {
    print "    <TD><DIV CLASS=\"nbody\">\n";
    print "      <A TARGET=\"_$in{'report'}\" HREF=\"/EAS/applet_reports.cgi?";
    print "report=$in{'report'}\"><B>[&nbsp;New&nbsp;Window&nbsp;]</B></A>\n";
    print "    </DIV></TD>\n";
  }
  else {
    print "    <TD> &nbsp; </TD>\n";
  }

  # More HTML.
  print <<EOF;
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>
EOF

  #
  # Display the report.
  #
  if ($in{'report'}) {
    print <<EOF;
  <TR $cb>
    <TD COLSPAN="2">
<PRE>
EOF
    # Just show it as-is, it's purrrty.
    open R, "/var/log/reports/$in{'report'}"; while (<R>) { print; }; close R;

    print <<EOF;
</PRE>
    </TD>
  </TR>
EOF
  }

  # More HTML.
  print <<EOF;
</TABLE>
</FORM>
EOF

  # Print standard footer.
  &easFooter();
