#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2000-2002, Guardian Digital Inc.
 | $Id: all_graphs.cgi,v 1.1 2002/04/25 00:45:20 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ### Import our library subroutines.
  require "mrtg-lib.pl";
  &ReadParse();

  ### Set up some variables.
  my ($GRAPH, $DESC); $G = $DESC = undef;

  ## Get the MRTG object that corresponds to this 'name'.
  foreach $G (@MRTG_GRAPHS) {
    if ($G->{'name'} eq $in{'name'}) {
      $GRAPH = $G; $DESC = "&nbsp;$G->{'desc'}";
    }
  }

  ### Damn it, we need the 'date' out here.
  %TMP = &mrtgGetStats($GRAPH->{'name'});

  ### Print our standard header.
  &header("System Graphs :: $DESC", 0);

  ### Print some HTML.
  print <<EOF;
<P><CENTER><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><B><DIV CLASS="ttitle">System Graphs :: $DESC</DIV></B></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below are daily, weekly, monthly, yearly totals along with the
      cooresponding graph.

      <P><I>$TMP{'date'}</I>
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>

    <TD>
      <TABLE BORDER="0" WIDTH="610" CELLPADDING="0" CELLSPACING="0">
EOF

  ###
  ### Print Daily, Weekly, Montly, Year stuff.
  ###
  &mrtgPrintBlock('d', $GRAPH);
  &mrtgPrintBlock('w', $GRAPH);
  &mrtgPrintBlock('m', $GRAPH);
  &mrtgPrintBlock('y', $GRAPH);

  ### More HTML.
  print <<EOF;
      </TABLE>
    </TD>
  </TR>
</TABLE></CENTER><P>
EOF

  ### Print our standard footer.
  &ryanFooter("index.cgi");
