#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2000-2002, Guardian Digital Inc.
 | $Id: index.cgi,v 1.2 2002/04/30 15:15:52 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ### Import our library subroutines.
  require "../EAS.pl";
  require "mrtg-lib.pl";

  ### Print our standard header.
  &header("System Graphs", 0);

  ### Print some HTML.
  print <<EOF;
<P><CENTER><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><B><DIV CLASS="ttitle">System Graphs</DIV></B></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below is a collection of various system graphs.  Click on a graph to get
      weekly, monthly, and yearly graphs.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>

    <TD>
      <TABLE BORDER="0" WIDTH="610" CELLPADDING="0" CELLSPACING="0">

EOF


  ###
  ### Iterate over each MRTG item, printing as we go.
  ###
  foreach my $G (sort { $a->{'disp'} <=> $b->{'disp'} } @MRTG_GRAPHS) {
    next if (! $G->{'disp'});

    &mrtgPrintBlock('d', $G, 1);
  }


  ### More HTML.
  print <<EOF;
      </TABLE>
    </TD>
  </TR>
</TABLE></CENTER><P>
EOF

  ### Print our standard footer.
  &ryanFooter("/StatusMonitor/");
