#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: index.cgi,v 1.6.4.1 2003/04/14 18:17:27 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ### Import our library routines.
  require './Security.pl';


  ###  Print the standard header.
  &header("Security", 0);

  my @foo = (
    mkEvalPopup('PPTP Setup',       1),
    mkEvalPopup('IPsec Management', 1, 'ipsec-eval/'),
  );

  my @bar = (
    mkEvalPopup('Define addresses, encryption level, and username/password pairs.'),
    'Configure your local IPsec (VPN) server.',
  );


  ###  Print the HTML.
  print <<EOF;
<BR><CENTER><TABLE BORDER="0" WIDTH="620" CELLSPACING="0" CELLPADDING="0">
  <TR $tb><TD COLSPAN="2">
    <DIV CLASS=ttitle><B>Security</B></DIV>
  </TD></TR>

  <TR $cb><TD COLSPAN="2"><DIV CLASS="nbody">
    In this area you can configure various security settings for the WebTool.
  </TD></TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="edit_webtoolpass.cgi">Change WebTool Password</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Change the password you use to access the WebTool.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="edit_adminemail.cgi">Change Administrator Address</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Setup the address that receives security alerts and the daily summary.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="edit_banner.cgi">Edit Login Banner</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Edit the banner that is displayed when a user logs in on the system 
      console.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="edit_access.cgi">WebTool Access Control</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Define what machines are allowed to access the WebTool.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="edit_libwrap.cgi">System Access Control</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Grant access to services from specific addresses.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="secure_email/">Secure Email Client Setup</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Edit your SIMAP/SPOP3 certificates and perform interface control.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="tripwire/">Tripwire Maintenance</A>
    </TD>
    <TD><DIV CLASS=nbody>
      View reports and update the local database.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="ids/">IDS Management</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Configure and monitor the intrusion detection system.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B><A HREF="firewall/">Firewall Setup</A>
    </TD>
    <TD><DIV CLASS=nbody>
      Setup port forwarding.
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B>$foo[0]</B></DIV>
    </TD>
    <TD><DIV CLASS=nbody>
      $bar[0]
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD VALIGN=TOP>
      <DIV CLASS="nbody"><B>$foo[1]</B></DIV>
    </TD>
    <TD><DIV CLASS=nbody>
      $bar[1]
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  </TABLE></CENTER><P>
EOF


  ###  Print the standard footer.
  &ryanFooter("/");

