#!/usr/bin/perl

  ### Include the standard library and define local variables.
  require 'tripwire-lib.pl';
  &ReadParse();


  ### Local variables.
  my $wday, $hour, $cron_str;


  ### Setup our cron-type variables.
  if ($in{'wday'} eq "Monday thru Friday") { $wday = "1-5"; }
  else { $wday = "*"; }

  ($hour) = split /\:/, $in{'hour'};


  ### Build the cron string.
  $cron_str  =  "0 $hour * * $wday root /usr/sbin/tripwire -m c -t 1 -M ";
  $cron_str .= "> /dev/null 2>&1";


  ### Update the cron entry.
  my $SET = 0;
  $lref = &read_file_lines("/etc/crontab");
    foreach (@$lref) {
      if ($_ =~ m/\/usr\/sbin\/tripwire\ \-m\ c/) { $SET = 1; $_ = $cron_str; }
    }

    if (!$SET) {
      push @$lref, "";
      push @$lref, "### Run Tripwire";
      push @$lref, $cron_str;
    }
  &flush_file_lines("/etc/crontab");


  ### This is the work of the Guelah Papyrus...
  &PrintError("The report generation has been successfully scheduled.", -2);
  ### Expanding exponentally, like some recursive virus...
