#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2000-2002, Guardian Digital Inc.
 | $Id: showimage.cgi,v 1.3 2002/02/23 16:26:42 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ### Import our library subroutines and populate %in.
  require "mrtg-lib.pl";
  &ReadParse();

  ### Determine the name of the graph we want to open.
  my ($FILE); $FILE = '';
  if ($in{'dwmy'} eq 'd')    { $FILE = "$in{'name'}-day.png"; }
  elsif ($in{'dwmy'} eq 'w') { $FILE = "$in{'name'}-week.png"; }
  elsif ($in{'dwmy'} eq 'm') { $FILE = "$in{'name'}-month.png"; }
  elsif ($in{'dwmy'} eq 'y') { $FILE = "$in{'name'}-year.png"; }

  ### Exit immediately if we don't know of this graph.
  exit -1 if (! -f "$MRTG_WORK_DIR/$FILE");

  ### Print our header, open and print the image, and close the image.
  print "Content-type: image/png\n\n";
    open IMAGE, "$MRTG_WORK_DIR/$FILE";
      while (my $LINE = <IMAGE>) { print $LINE; }
    close IMAGE;
  exit 0;
