#/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: popup_ifconfig.cgi,v 1.1.1.1 2001/12/11 06:50:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines, get some help, and populate %in (bewm).
  require "StatusMonitor.pl";
  &ReadParse();


  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <TITLE>IP Address Information</TITLE>

    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><B><DIV CLASS="ttitle"> Interface Information </DIV></B></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
<PRE>
EOF

  ###
  ###  Do the ifconfig thing.
  ###
  my ($PRINT); $PRINT = 0;

  open IFCONFIG, "ifconfig |";
    while (my $line = <IFCONFIG>)
    {
      chomp $line;

      $PRINT = 1 if ($line =~ m/^$in{'queryinput'}\s+/);
      $PRINT = 0 if ($line eq "");

      print "$line\n" if $PRINT;
    }
  close IFCONFIG;


  ###  More HTML.
  print <<EOF;
</PRE>
    </DIV></TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF
exit;

