#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: view_log.cgi,v 1.1.1.2 2001/12/11 06:50:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require './syslog-lib.pl';
  &ReadParse();


  print <<EOF;
Content-type:  text/html

<HTML>
  <HEAD>
    <TITLE>Logfile Management :: View Logfile</TITLE>

    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      DIV,BODY,TD,TH,P,FONT,INPUT,LI,UL,FORM,BLOCKQUOTE,A,TR,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      PRE       { font-family: Courier }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF">
    <FORM ACTION="view_log.cgi">
    <INPUT TYPE="HIDDEN" NAME="file" VALUE="$in{'file'}">
    <TABLE WIDTH="700" BORDER="0">
    <TR>
      <TD COLSPAN="2"><IMG SRC="/images/SectionHeader-nomatch.png" BORDER=0></TD>
    </TR>

    <TR>
      <TD WIDTH="25"> &nbsp; </TD>
      <TD WIDTH="651">
      <TABLE BORDER="0" WIDTH="100%">
      <TR><TD>&nbsp;</TD></TR>

      <TR>
        <TD>
EOF


  ###
  ###  Read the last $in{'lines'} of our logfile.
  ###
  my ($COUNT); $COUNT = 0;
  open LOG, "tail -$in{'lines'} $in{'file'} |";
    while (<LOG>) {
      print "<PRE>\n" if ($COUNT == 0);

      $COUNT++;
      print $_;
    }
    print "</PRE>\n" if ($COUNT != 0);
  close LOG;

  if (! $COUNT) { print "<B>Logfile is empty.</B>\n"; }


  ###  More HTML.
  print <<EOF;
        </TD>
      </TR>

      <TR><TD ALIGN="RIGHT">
        View last 
          <INPUT TYPE="TEXT" NAME="lines" SIZE="3" VALUE="$in{'lines'}">
        lines
        <INPUT TYPE="SUBMIT" VALUE="Refresh">
      </TD></TR>

      <TR><TD>&nbsp;</TD></TR>

      <TR><TD>
        <A HREF="javascript:parent.close()"><IMG SRC="/images/foot.gif" BORDER="0">
      </TD></TR>
      </TABLE>
      </TD>
    </TR>
    </TABLE>
  </BODY>
</HTML>
EOF

