#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: index.cgi,v 1.7.4.3 2003/04/18 12:37:08 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library routines.
  require 'SystemManager.pl';
  require 'useradmin/user-lib.pl';

  ###  Print standard header.
  &header("System Manager", 0);

  ###  Get a list of all the users on the system.
  @ulist = @allulist = &list_users();


  ###  We have more then 100 users.  Display a search form.
  if (@ulist > $config{'display_max'})
  {
    print <<EOF;
<CENTER><TABLE BORDER=0 WIDTH=620 CELLPADDING=0 CELLSPACING=0>
  <TR $tb>
    <TD><DIV CLASS=ttitle><B>Local User Management</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS=nbody>$text{'index_toomany'}</DIV></TD>
  </TR>

  <TR $cb><TD>&nbsp;</TD></TR>

  <TR $cb>
    <TD><DIV CLASS=nbody>
      <FORM ACTION="useradmin/search_user.cgi" METHOD="POST">
      <TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>
      <TR>
        <TD><DIV CLASS=nbody><B>$text{'index_find'}</B></DIV></TD>

        <TD><DIV CLASS=nbody><SELECT NAME=field>
          <OPTION VALUE=user checked>$text{'user'}
          <OPTION VALUE=real>$text{'real'}
          <OPTION VALUE=shell>$text{'shell'}
          <OPTION VALUE=home>$text{'home'}
          <OPTION VALUE=uid>$text{'uid'}
        </SELECT></TD>
    
        <TD><DIV CLASS=nbody><SELECT NAME=match>
          <OPTION VALUE=0 checked>$text{'index_equals'}
          <OPTION VALUE=1>$text{'index_matches'}
          <OPTION VALUE=2>$text{'index_nequals'}
          <OPTION VALUE=3>$text{'index_nmatches'}
        </SELECT></TD>

        <TD><INPUT NAME=what SIZE=15></TD>

        <TD><DIV CLASS=nbody><INPUT TYPE=SUBMIT VALUE="$text{'find'}"></TD>
      </TR>

      <TR>
        <TD COLSPAN=5><DIV CLASS=nbody><B><A HREF="useradmin/search_user.cgi?field=user&match=1&what=.">[ View All Users ]</A></B></DIV></TD>
      </TR>
      </TABLE>
      </FORM>
    </TD>
  </TR>

  <TR $cb> <TD> &nbsp; </TD> </TR>

  <TR $cb>
    <TD>
      <TABLE BORDER="0" WIDTH="100%" CELLPADDING="0" CELLSPACING="0">
        <TR $cb>
          <TD ALIGN="LEFT" COLSPAN="2">
            <FORM ACTION="useradmin/edit_user.cgi" METHOD="POST">
              <DIV CLASS="nbody">
              <INPUT TYPE="SUBMIT" VALUE="Create New User">
            <P></FORM>
          </TD>

          <TD WIDTH="100%" COLSPAN="2">&nbsp;</TD>

          <TD ALIGN="RIGHT" COLSPAN="1">
            <FORM ACTION="useradmin/list_groups.cgi" METHOD="POST">
              <DIV CLASS="nbody">
              <INPUT TYPE="SUBMIT" VALUE="Configure Secondary Groups">
            <P></FORM>
          </TD>
        </TR>
      </TABLE>
    </TD>
  </TR>

  <TR $cb> <TD>&nbsp;</TD></TR>
</TABLE></CENTER>
EOF
    }

  ###  This is the "normal" case so display the "usual" screen.
  elsif (@ulist) {
    print <<EOF;
  <P><CENTER><TABLE WIDTH="620" BORDER="0" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="5"><DIV CLASS="ttitle"><B>Local User Management</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN=5><DIV CLASS=nbody>
      Below you can find a listing of all the users who currently have access
      to your machine.  Next to their name is their user ID, their "Real name",
      their home directory on the machine, and their "shell."  If their shell
      is /bin/false then they do not have remote access privleges.  <P>Click
      on a username to edit any of these parameters, or click on "Create New
      User" to add a user to your system.  <P>Each user is also a member of a
      "group."  You can add/delete/edit groups by clicking on the "Configure
      Groups" button.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="5">&nbsp;</TD> </TR>

  <TR $tb>
    <TD><DIV CLASS="thead"><B>Username</B></TD>
    <TD><DIV CLASS="thead"><B>UID</B></TD>
    <TD><DIV CLASS="thead"><B>Real&nbsp;Name</B></TD>
    <TD COLSPAN="4"><DIV CLASS="thead"><B>Home&nbsp;Directory</B></TD>
  </TR>

EOF

    ###  Iterate through each user and display if UID >= 500.
    foreach $u (@ulist) {
      if (($u->{'uid'} >= 500) && ($u->{'user'} !~ m/\$$/)) {
          print "  <TR $cb>\n";
          print "    <TD><DIV CLASS=\"nbody\">\n";
          print "      <A HREF=\"useradmin/edit_user.cgi?num=$u->{'num'}\">$u->{'user'}</A>\n";
          print "    </DIV></TD>\n";
          print "    <TD><DIV CLASS=\"nbody\">$u->{'uid'}</DIV></td>\n";
          print "    <TD><DIV CLASS=\"nbody\">\n";
          print        &ifblank($u->{'real'}), "\n";
          print "    </DIV></TD>\n";
          print "    <TD COLSPAN=\"2\"><DIV CLASS=\"nbody\">\n";
          print        &ifblank($u->{'home'}), "\n";
          print "    </DIV></TD>\n";
          print "  </TR>\n";
      }
    }


    ###  Print the rest of the top-half.
    print <<EOF;
  <TR $cb><TD COLSPAN="5">&nbsp;</TD></TR>

  <TR $cb>
    <TD ALIGN="LEFT" COLSPAN="2">
      <FORM ACTION="useradmin/edit_user.cgi" METHOD="POST">
        <DIV CLASS="nbody">
        <INPUT TYPE="SUBMIT" VALUE="Create New User">
      <P></FORM>
    </TD>

    <TD WIDTH="100%" COLSPAN="2">&nbsp;</TD>

    <TD ALIGN="RIGHT" COLSPAN="1">
      <FORM ACTION="useradmin/list_groups.cgi" METHOD="POST">
        <DIV CLASS="nbody">
        <INPUT TYPE="SUBMIT" VALUE="Configure Secondary Groups">
      <P></FORM>
    </TD>
  </TR>
  </TABLE></CENTER>

EOF
  }

  my @foo = (
    mkEvalPopup('Secure Mail Suite',         1, 'mss-eval/'),
    mkEvalPopup('DHCP Server Configuration', 1),
    mkEvalPopup('Windows File Sharing',      1),
    mkEvalPopup('Proxy Management',          1, 'proxy-eval/'),
    mkEvalPopup('LDAP Configuration',        1),
    mkEvalPopup('Printer Setup',             1),
    mkEvalPopup('Quota Setup',               1),
  );

  my @bar = (
    mkEvalPopup('Mail server configuration and monitoring.'),
    mkEvalPopup('Define what ranges to use for DHCP and see what leases are currently active.'),
    mkEvalPopup('Edit global configuration, setup WINS hosts, and define shares.'),
    mkEvalPopup('Configure and setup ACL\'s for your local caching proxy.'),
    mkEvalPopup('Manage your local LDAP server.'),
    mkEvalPopup('Define local printers used for Windows File Sharing.'),
    mkEvalPopup('Configure filesystem and resource quotas.'),
  );

  ###  Print the first half of the bottom-half stuff.
  print <<EOF;

  <BR><BR>
  <CENTER><TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING=0>
  <TR $tb>
      <TD COLSPAN=2><DIV CLASS=ttitle><B>Service Configuration</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN=2><DIV CLASS="nbody">
      Below you can configure the services this machine is offering.
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B><A HREF="vsftpd/">FTP Server Configuration</A></B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>Edit global options, chroot list, and blacklist. </DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B><A HREF="sshd/">Secure Shell Management</A></B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>Edit your system-wide secure shell configuration and generate keys.</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B><A HREF="postfix/">Mail Server Management</A></B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>Set up virtual domains, transport maps, and global options.</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B>$foo[0]</B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>$bar[0]</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B><A HREF="bind/">DNS Management</A></B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>Create forward and reverse zones and edit the global options.</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B>$foo[1]</B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>$bar[1]</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B>$foo[2]</B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>$bar[2]</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B>$foo[3]</B></DIV>
    </TD>
    <TD><DIV CLASS=nbody>
      $bar[3]
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR> <TD COLSPAN=2>&nbsp;</TD> </TR>
  <TR> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $tb>
      <TD COLSPAN=2><DIV CLASS=ttitle><B>System Configuration</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN=2><DIV CLASS="nbody">
      Below you can perform vaious system maintenance functions.
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD><DIV CLASS=nbody><B><A HREF="network/">Network Configuration</A></B></DIV></TD>
    <TD>
      <DIV CLASS=nbody>Set up interfaces, routes, host DNS, and static addresses.</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B>$foo[5]</B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>$bar[5]</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B>$foo[6]</B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>$bar[6]</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

  <TR $cb>
    <TD>
      <DIV CLASS=nbody><B><A HREF="time/">System Time</A></B></DIV>
    </TD>
    <TD>
      <DIV CLASS=nbody>Change the system time and define time servers.</DIV>
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

EOF


  ###  Close up shop.
  print "  </TABLE></CENTER><BR>\n\n";

  ###  Print standard footer.
  &ryanFooter("/");

