#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2002-2003 Guardian Digital, Inc., All Rights Reversed
 | $Id: eval_info.cgi,v 1.1.2.2 2003/04/22 08:05:30 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;

  # Header.
  WebTool::popup_header('Secure Mail Suite :: Information', undef);

  # Page.
  print <<EOF;
<CENTER>
<P><TABLE BORDER="0" WIDTH="500" CELLPADDING="0" CELLSPACING="0">
<TR>
  <TD ALIGN="CENTER"><IMG SRC="images/header.png" BORDER="0"></TD>
</TR>

<TR $tb>
  <TD><CENTER><DIV CLASS="ttitle">
    <B>Secure Mail Suite</B>
  </DIV></CENTER></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>

<TR $cb>
  <TD><DIV CLASS="nbody">
    This section is a component of the Guardian Digital Secure Mail Suite.
    Designed to meet the needs of small businesses, enterprise level companies,
    ISPs and ASPs looking to secure and manage corporate email operations,
    Secure Mail Suite is capable of managing all email functions within an
    organization. The suite increases employee productivity by simplifying
    management and drastically reducing junk mail, virus and Internet threats.

    <BR><BR>Secure Mail Suite is currently available with Guardian Digital's
    EnGarde Secure Linux v1.5, the newest version of the award-winning secure
    Linux server operating system.

    <BR><BR>Among the features available with Secure Mail Suite include:

    <UL>
      <LI>Build full-featured ISP, ASP, departmental or enterprise mail systems.</LI>
      <LI>Simple and secure Web-based management for all functions.</LI>
      <LI>Comprehensive anti-spam protection utilizing dozens of technologies to intelligently analyze all email and provide consistent protection from rapidly evolving threats.</LI>
      <LI>Protection from outside network eavesdropping using SSL & TLS for encrypted communications. Integrated certificate authority provides digital certificate management.</LI>
      <LI>WebMail for secure remote access, LDAP, group scheduler, vacation auto-away and detailed real-time graphs and reporting for easy maintenance.</LI>
      <LI>Sophisticated authentication mechanism ensures only authorized users connect. Build corporate email policies to control content transmission.</LI>
      <LI>Automatic updates and support provides new defenses from new threats.</LI>
      <LI>Support for all standard mail and Web clients.</LI>
    </UL>

    Secure Mail Suite integrates with server versions of Guardian Digital's
    core product, EnGarde Secure Linux.
  </DIV></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>
</TABLE>
EOF

  # Footer.
  WebTool::popup_footer();
