#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: do_edit_hosts.cgi,v 1.1.1.1 2001/12/11 06:50:40 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require "network-lib.pl";
  &ReadParse();


  ###  Clobber the existing hosts with ours.
  open HOSTS, ">$HOSTS_FILE";

    ###  Print the (possibly updated) hosts.
    foreach my $k (sort keys %in) {
      if ($k =~ m/^address\_(.*)/) {
        my ($address, $hosts, $key);

        $key     =  $1;
        $address =  $in{"address_$key"};
        $hosts   =  $in{"hosts_$key"};

        if ($address && $hosts && &isIP($address)) {
          print HOSTS "$address\t$hosts\n";
        }
      }
    }

    ###  Print the "new" host entry, if we have a valid one.
    if ($in{'new_address'} && $in{'new_hosts'} && &isIP($in{'new_address'})) {
      print HOSTS "$in{'new_address'}\t$in{'new_hosts'}\n";
    }

  ###  Close hosts up.
  close HOSTS;


  ###  Finally, sync the hosts file with the one in the Postfix chroot.
  if (! -l $POSTFIX_HOSTS) { system("cp -a $HOSTS_FILE $POSTFIX_HOSTS"); }


  ###  Go back to the index page.
  &redirect("index.cgi");
