#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: do_edit_route.cgi,v 1.1.1.1 2001/12/11 06:50:40 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines and populate %in.
  require "network-lib.pl";
  &ReadParse();


  ###  Verify the input if we are creating or saving.
  if ($in{'create'} || $in{'save'}) {
    if (!$in{'network'}) {
      &PrintError("Please enter a 'Network'"); exit;
    }
    elsif (!$in{'netmask'}) {
      &PrintError("Please enter a 'Netmask'"); exit;
    }
    elsif (! &isIP($in{'network'})) {
      &PrintError("The 'Network' you entered is invalid."); exit;
    }
    elsif (! &isIP($in{'netmask'})) {
      &PrintError("The 'Netmask' you entered is invalid."); exit;
    }
  }


  ###  We want to create a new route.
  if ($in{'create'}) {
    my ($lref, $OFFSET); $lref = &read_file_lines($INTERFACES_FILE);

    ###  Find out where this interface block ends.
    foreach my $i (&ReadInterfaces()) {
      if ($in{'device'} eq $i->{'interface'}) { $OFFSET = $i->{'END'}; }
    }

    ###  Add our new route at the end, with a trailing newline.
    splice @$lref, $OFFSET, 1, "   up route add -net $in{'network'} netmask $in{'netmask'} dev $in{'device'}\n";


    &flush_file_lines();
  }

  ###  We want to delete or modify an existing route.
  elsif ($in{'delete'} || $in{'save'}) {
    my ($lref); $lref = &read_file_lines($INTERFACES_FILE);

    if ($in{'delete'}) { splice @$lref, $in{'lineno'}, 1; }
    else {
      splice @$lref, $in{'lineno'}, 1, "   up route add -net $in{'network'} netmask $in{'netmask'} dev $in{'device'}";
    }

    &flush_file_lines();
  }


  ###  Go back to the index page.
  &redirect("list_routes.cgi");
