#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: do_general.cgi,v 1.1.1.1.4.1 2003/04/22 16:00:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require './postfix-lib.pl';
  &ReadParse();


  # Update 'relayhost'
  my $relayhost  = 'relayhost=';
     $relayhost .=  ($in{'relayhost_def'} eq 0) ? '' : $in{'relayhost'};
  my @cmd        = ('/usr/sbin/postconf', '-e', $relayhost);
  system(@cmd);

  # Update 'mailbox_command';
  my $mailbox_command  = 'mailbox_command=';
     $mailbox_command .=  ($in{'procmail_def'} eq 1) ? '' : '/usr/bin/procmail';
  @cmd                 = ('/usr/sbin/postconf', '-e', $mailbox_command);
  system(@cmd);


  ###  Update 'master.cf' with our new smtp (inet) def.
  $lref  =  &read_file_lines("/etc/postfix/master.cf");

    for ($i = 0; $i < @$lref; $i++)
    {
      my $l = @$lref[$i];

      if ($l =~ m/^[#\ ]*smtp\s+inet\s+.+smtpd$/)
      {
        ### If smtpd_def is zero, then we want to ENABLE smtpd.
        if ($in{'smtpd_def'} eq 0) {
          @$lref[$i] = "smtp\t  inet\tn\t-\ty\t-\t-\tsmtpd";
        }

        ### If smtpd_def is one, then we want to DISABLE smtpd.
        elsif ($in{'smtpd_def'} eq 1) {
          @$lref[$i] = "# smtp\t  inet\tn\t-\ty\t-\t-\tsmtpd";
        }
      }
    }

  &flush_file_lines();

  ###  Reload postfix.  Sure beats restarting.
  &reload_postfix();

  ###  Go back to the index.
  &redirect("index.cgi");
